# Class BandDefinition

Object
CodeList<BandDefinition>
BandDefinition

All Implemented Interfaces:
  `Serializable, Comparable<BandDefinition>`

@UML(identifier="MI_BandDefinition", specification=ISO_19115_2) public final class BandDefinition extends CodeList<BandDefinition>
Designation of criterion for defining maximum and minimum wavelengths for a spectral band.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final BandDefinition`
  `EQUIVALENT_WIDTH`
  Width of a band with full sensitivity or absorption at every wavelength that detects or absorbs the same amount of energy as the band described.
  `static final BandDefinition`
  `FIFTY_PERCENT`
  Full spectral width of a spectral power density measured at 50% of its peak height.
  `static final BandDefinition`
  `HALF_MAXIMUM`
  Width of a distribution equal to the distance between the outer two points on the distribution having power level half of that at the peak.
  `static final BandDefinition`
  `ONE_OVER_E`
  Width of a distribution equal to the distance between the outer two points on the distribution having power level 1/e that of the peak.
  `static final BandDefinition`
  `THREE_DB`
  Width of a distribution equal to the distance between the outer two points on the distribution having power level half of that at the peak.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BandDefinition[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static BandDefinition`
  `valueOf(String code)`
  Returns the band definition that matches the given string, or returns a new one if none match it.
  `static BandDefinition[]`
  `values()`
  Returns the list of `BandDefinition`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### THREE_DB

    @UML(identifier="3dB", obligation=CONDITIONAL, specification=ISO_19115_2) public static final BandDefinition THREE_DB
    Width of a distribution equal to the distance between the outer two points on the distribution having power level half of that at the peak.
    "TODO:"
      the same as the documentation for `HALF_MAXIMUM`.

  - ### HALF_MAXIMUM

    @UML(identifier="halfMaximum", obligation=CONDITIONAL, specification=ISO_19115_2) public static final BandDefinition HALF_MAXIMUM
    Width of a distribution equal to the distance between the outer two points on the distribution having power level half of that at the peak.
    "TODO:"
      the same as the documentation for `THREE_DB`.

  - ### FIFTY_PERCENT

    @UML(identifier="fiftyPercent", obligation=CONDITIONAL, specification=ISO_19115_2) public static final BandDefinition FIFTY_PERCENT
    Full spectral width of a spectral power density measured at 50% of its peak height.

  - ### ONE_OVER_E

    @UML(identifier="oneOverE", obligation=CONDITIONAL, specification=ISO_19115_2) public static final BandDefinition ONE_OVER_E
    Width of a distribution equal to the distance between the outer two points on the distribution having power level 1/e that of the peak.

  - ### EQUIVALENT_WIDTH

    @UML(identifier="equivalentWidth", obligation=CONDITIONAL, specification=ISO_19115_2) public static final BandDefinition EQUIVALENT_WIDTH
    Width of a band with full sensitivity or absorption at every wavelength that detects or absorbs the same amount of energy as the band described.

- ## Method Details

  - ### values

    public static BandDefinition[] values()
    Returns the list of `BandDefinition`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public BandDefinition[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<BandDefinition>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static BandDefinition valueOf(String code)
    Returns the band definition that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.